QGIS Application - Bug report #20982
QGIS crash when | close it
2019-01-12 05:00 PM - jean-pierre Vinadia

Status: Closed
Priority: Normal
Assignee:

Category: Actions

Affected QGIS version:3.4.3
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 28801

Description

User Feedback

I was just closing QGIS. This crash appears very often.

Report Details

Crash ID: 7442373e0283e1ddab9b4be290841057a580a7ea
Stack Trace

proj_lpz_dist :

proj_lpz_dist :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::~QgsCoordinate Transform :
QgsPointLocator::~QgsPointLocator :
QgsPointLocator::~QgsPointLocator :
QgsSnappingUtils::clearAllLocators :
QgsSnappingUtils::~QgsSnappingUstils :
QgsVectorLayerProperties::"default constructor closure' :
QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator(] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: commit:2f64a3c4e7
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ...

Reopened

2018-10-30

History

#1 - 2019-01-12 05:32 PM - Jiirgen Fischer

2025-04-26

12




- Resolution set to duplicate

- Status changed from Open to Closed

#2 - 2019-01-12 05:32 PM - Jiirgen Fischer
- Related to Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#3 - 2019-01-12 05:32 PM - Jiirgen Fischer
- Related to deleted (Bug report #20283: Crash when exiting program [proj_lpz_dist])

#4 - 2019-01-12 05:32 PM - Jiirgen Fischer
- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

2025-04-26

22



